#!/bin/sh

if [ ! -f 11.txt.utf-8 ]; then
	wget http://www.gutenberg.org/ebooks/11.txt.utf-8
fi

./alice.py > alice_cleaned.txt
./build_codebook.py < alice_cleaned.txt > codebook.json
./encode.py codebook.json < alice_cleaned.txt > alice_encoded.txt
./decode.py codebook.json < alice_encoded.txt > alice_decoded.txt
ls -la alice_encoded.txt
md5sum alice_cleaned.txt alice_decoded.txt